Gecode::ArrayTraits< IntArgs > Class Reference

Traits of IntArgs. More...

`#include <array-traits.hpp>`

## Public Types

typedef IntArgs | StorageType
typedef int | ValueType
typedef IntArgs | ArgsType

## Detailed Description

Traits of IntArgs.

Definition at line 116 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef IntArgs Gecode::ArrayTraits< IntArgs >::StorageType

Definition at line 118 of file array-traits.hpp.

## ValueType

typedef int Gecode::ArrayTraits< IntArgs >::ValueType

Definition at line 119 of file array-traits.hpp.

## ArgsType

typedef IntArgs Gecode::ArrayTraits< IntArgs >::ArgsType

Definition at line 120 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp